"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const application_1 = require("./application");
exports.GqlApplication = application_1.GqlApplication;
const server_1 = require("./server");
exports.ExpressServer = server_1.ExpressServer;
const lodash_1 = require("lodash");
async function main(options = {}) {
    var _a;
    const server = new server_1.ExpressServer(options);
    await server.boot();
    await server.start();
    const config = server.lbApp.restServer.config;
    const logo = require('asciiart-logo');
    const packageJson = lodash_1.omit(require('../package.json'), 'description');
    console.log(logo(packageJson).render());
    console.log(`Server is running at ${_a = config.host, (_a !== null && _a !== void 0 ? _a : '127.0.0.1')}:${config.port}`);
    return server;
}
exports.main = main;
//# sourceMappingURL=index.js.map